Bug 225576 - [devel/py-gitpython]: updating to 2.1.8
Summary: [devel/py-gitpython]: updating to 2.1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-30 23:49 UTC by Shirkdog
Modified: 2018-02-18 13:13 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (che)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shirkdog 2018-01-30 23:49:47 UTC
https://github.com/gitpython-developers/GitPython/releases/tag/2.1.8

Ran into an issue that is resolved with the bump to 2.1.8. I will try to workout the updates.
Comment 1 Shirkdog 2018-01-31 17:16:07 UTC
Updated version and SHA256 and this built for me:

diff --git a/devel/py-gitpython/Makefile b/devel/py-gitpython/Makefile                                                                                                                                                                       
index 414b3c7edfb9..1cc7eed1d0c1 100644                                                                                                                                                                                                      
--- a/devel/py-gitpython/Makefile                                                                                                                                                                                                            
+++ b/devel/py-gitpython/Makefile                                                                                                                                                                                                            
@@ -1,7 +1,7 @@                                                                                                                                                                                                                              
 # $FreeBSD$                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                             
 PORTNAME=      GitPython                                                                                                                                                                                                                    
-DISTVERSION=   2.1.7                                                                                                                                                                                                                        
+DISTVERSION=   2.1.8                                                                                                                                                                                                                        
 CATEGORIES=    devel python                                                                                                                                                                                                                 
 MASTER_SITES=  CHEESESHOP                                                                                                                                                                                                                   
 PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}                                                                                                                                                                                                      
diff --git a/devel/py-gitpython/distinfo b/devel/py-gitpython/distinfo                                                                                                                                                                       
index 039cbf660bc2..0c635fa2add7 100644                                                                                                                                                                                                      
--- a/devel/py-gitpython/distinfo                                                                                                                                                                                                            
+++ b/devel/py-gitpython/distinfo                                                                                                                                                                                                            
@@ -1,3 +1,3 @@                                                                                                                                                                                                                              
-TIMESTAMP = 1507077394                                                                                                                                                                                                                      
-SHA256 (GitPython-2.1.7.tar.gz) = 13c7cd99c2bf277fc99accfc25148752fa90e7cc6c6d08a3f01d229dacb461d9                                                                                                                                          
-SIZE (GitPython-2.1.7.tar.gz) = 426362                                                                                                                                                                                                      
+TIMESTAMP = 1517355978                                                                                                                                                                                                                      
+SHA256 (GitPython-2.1.8.tar.gz) = ad61bc25deadb535b047684d06f3654c001d9415e1971e51c9c20f5b510076e9                                                                                                                                          
+SIZE (GitPython-2.1.8.tar.gz) = 431074
Comment 2 commit-hook freebsd_committer 2018-02-18 13:12:54 UTC
A commit references this bug:

Author: wen
Date: Sun Feb 18 13:11:51 UTC 2018
New revision: 462226
URL: https://svnweb.freebsd.org/changeset/ports/462226

Log:
  - Update to 2.1.8

  PR:		225576
  Submitted by:	mshirk@daemon-security.com
  Approved by:	maintainer(timeout, > 14 days)

Changes:
  head/devel/py-gitpython/Makefile
  head/devel/py-gitpython/distinfo